<template>
  <div class="cmain">
    <div class="bos">
      <el-form ref="company" :model="company" label-width="100px">
        <el-form-item label="申请企业">
          <span class="pon" @click="info()">{{ company.companyName }}</span>
        </el-form-item>
        <el-form-item label="开户银行">
          <el-input v-model="company.bankName" disabled />
        </el-form-item>
        <el-form-item label="银行账户">
          <el-input v-model="company.bankAccount" disabled />
        </el-form-item>
      </el-form>
      <el-form ref="form" :model="form" :rules="rules" label-width="100px">
        <el-form-item label="提现金额" prop="money">
          <el-input type="number" v-model="form.money" disabled>
            <template slot="append">账户余额：{{ company.money }}</template>
          </el-input>
        </el-form-item>
        <div class="opp" v-if="form.updateTime">
          <span>操作人：{{ form.updateBy }}，</span>
          <span>操作时间：{{ form.updateTime }}</span>
        </div>
      </el-form>
      <el-alert title="提现成功" type="success" show-icon class="cg" v-if="form.state === 1"></el-alert>
      <el-alert title="提现失败" :description="form.msg" type="error" show-icon class="cg" v-if="form.state === 2" :closable="false"></el-alert>
    </div>
    <div class="mfooter" v-if="!param.detail">
      <el-button type="primary" @click="submitForm(1)">确 认</el-button>
      <el-button type="danger" @click="submitForm(2)">不通过</el-button>
      <el-button @click="$layer.close(layerid)">取 消</el-button>
    </div>
  </div>
</template>

<script>
import company from '@/views/work/company/edit.vue';
export default {
  data() {
    return {
      company: {},
      form: {},
      rules: {
        money: [{ required: true, message: '提现金额不能为空', trigger: 'blur' }]
      }
    };
  },
  props: {
    param: {
      type: Object,
      default: () => {
        return {};
      }
    },
    layerid: {
      type: String
    }
  },
  mounted() {
    if (this.param.id) {
      this.ajax({ url: '/work/out/detail/' + this.param.id }).then((response) => {
        this.form = response.data;
        this.company = response.data.company;
      });
    }
  },
  methods: {
    info() {
      this.iframe({ obj: company, param: { id: this.form.companyId, detail: true }, title: '企业信息', width: '60%', height: '75%' });
    },
    submitForm(state) {
      this.$refs['form'].validate((valid) => {
        if (valid) {
          this.$prompt(state == 1 ? '确认提现' + this.form.money + '元到 ' + this.company.companyName + ' 银行账户? 该操作不可撤销！' : '确认提现失败', {
            type: 'warning',
            showInput: state == 1 ? false : true,
            inputType: 'textarea',
            inputPlaceholder: '输入提现失败原因',
            inputValidator: (value) => {
              if (!value && state == 2) {
                return '请输入提现失败原因';
              }
            }
          }).then(({ value }) => {
            this.post({ url: '/work/out/edit', data: { id: this.form.id, state: state, msg: value } }).then((response) => {
              this.$modal.msgSuccess('操作成功');
              this.$layer.close(this.layerid);
              this.$parent.getList();
            });
          });
        }
      });
    }
  }
};
</script>
